Ginkgo: gko::solver::EnableSolverBase< DerivedType, MatrixType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::EnableSolverBase< DerivedType, MatrixType > Class Template Reference
Linear Operators

A LinOp deriving from this CRTP class stores a system matrix. More...

`#include <ginkgo/core/solver/solver_base.hpp>`

Inheritance diagram for gko::solver::EnableSolverBase< DerivedType, MatrixType >:
[legend]
Collaboration diagram for gko::solver::EnableSolverBase< DerivedType, MatrixType >:
[legend]

## Public Member Functions
EnableSolverBase & | operator= (const EnableSolverBase &other)
| Creates a shallow copy of the provided system matrix, clones it onto this executor if executors don't match.
EnableSolverBase & | operator= (EnableSolverBase &&other)
| Moves the provided system matrix, clones it onto this executor if executors don't match.
| EnableSolverBase (std::shared_ptr< const MatrixType > system_matrix)
| EnableSolverBase (const EnableSolverBase &other)
| Creates a shallow copy of the provided system matrix.
| EnableSolverBase (EnableSolverBase &&other)
| Moves the provided system matrix.
int | get_num_workspace_ops () const override
std::vector< std::string > | get_workspace_op_names () const override
std::vector< int > | get_workspace_scalars () const override
| Returns the IDs of all scalars (workspace vectors with system dimension-independent size, usually 1 x num_rhs).
std::vector< int > | get_workspace_vectors () const override
| Returns the IDs of all vectors (workspace vectors with system dimension-dependent size, usually system_matrix_size x num_rhs).
Public Member Functions inherited from gko::solver::SolverBase< LinOp >
std::shared_ptr< const LinOp > | get_system_matrix () const
| Returns the system matrix, with its concrete type, used by the solver.

## Detailed Description

template<typename DerivedType, typename MatrixType = LinOp>
class gko::solver::EnableSolverBase< DerivedType, MatrixType >

A LinOp deriving from this CRTP class stores a system matrix.

Template Parameters

  DerivedType | the CRTP type that derives from this
  MatrixType | the concrete matrix type to be stored as system_matrix

## Constructor & Destructor Documentation

## ◆ EnableSolverBase()

template<typename DerivedType, typename MatrixType = LinOp>

gko::solver::EnableSolverBase< DerivedType, MatrixType >::EnableSolverBase | ( | EnableSolverBase< DerivedType, MatrixType > && | other | ) |
| inline

Moves the provided system matrix.

The moved-from object has a nullptr system matrix.

## Member Function Documentation

## ◆ operator=()

template<typename DerivedType, typename MatrixType = LinOp>

EnableSolverBase & gko::solver::EnableSolverBase< DerivedType, MatrixType >::operator= | ( | EnableSolverBase< DerivedType, MatrixType > && | other | ) |
| inline

Moves the provided system matrix, clones it onto this executor if executors don't match.

The moved-from object has a nullptr system matrix.

The documentation for this class was generated from the following file:

- ginkgo/core/solver/solver_base.hpp